ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hurley (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-22010) Incorrect symlink for storm after patch upgrade
Date Wed, 20 Sep 2017 19:51:00 GMT
Jonathan Hurley created AMBARI-22010:
----------------------------------------

             Summary: Incorrect symlink for storm after patch upgrade
                 Key: AMBARI-22010
                 URL: https://issues.apache.org/jira/browse/AMBARI-22010
             Project: Ambari
          Issue Type: Bug
    Affects Versions: 2.6.0
            Reporter: Jonathan Hurley
            Assignee: Jonathan Hurley
            Priority: Critical
             Fix For: 2.6.0


Steps to reproduce :
1) Installed ambari 2.6.0.0 with HDP-2.6.2.0
2) Did a patch upgrade from HDP-2.6.2.0 to 2.6.3.0 for services storm and zookeeper
3) Upgrade completed successfully.

But after the upgrade symlinks are not updated correctly.
Symlink is updated correctly on 'ssharma-pu-m-2-1.openstacklocal' which has nimbus

But on 'ssharma-pu-m-2-4.openstacklocal' with supervisor it still points to older version.

{code}
lrwxrwxrwx. 1 root root 34 Sep 20 10:46 /etc/storm/conf -> /usr/hdp/current/storm-client/conf
[root@ssharma-pu-m-2-4 ~]# ls -ltr /usr/hdp/current/storm-client/conf
lrwxrwxrwx. 1 root root 24 Sep 20 10:46 /usr/hdp/current/storm-client/conf -> /etc/storm/2.6.2.0-205/0
{code}

>From the upgrade history logs, it could be seen that '/usr/bin/hdp-select', 'set', u'storm-client'
is not being executed on 'ssharma-pu-m-2-4.openstacklocal'. But this is executed on 'ssharma-pu-m-2-1.openstacklocal'
. Did this caused the issue ? 
{code}
2017-09-20 11:09:39,206 - Execute[('ambari-python-wrap', u'/usr/bin/hdp-select', 'set', u'storm-client',
u'2.6.3.0-86')] {'sudo': True}
2017-09-20 11:09:39,261 - After ('ambari-python-wrap', u'/usr/bin/hdp-select', 'set', u'storm-client',
u'2.6.3.0-86'), reloaded module status_params
{code}
 
I guess this is because we don't actually have "Storm Client" as a component. So, the masters
and slaves have to take care of setting it. Easy fix to stack_packages...



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message